twilight.getlambda {twilight} | R Documentation

## Internal function to compute regularization parameter lambda

### Description

The SEP method optionally includes a penalty term in order to estimate the percentage of non-significant differences/genes.

### Usage

    twilight.getlambda(xin, verbose = TRUE)

### Arguments

`xin` | A numerical vector containing p-values.
`verbose` | Logical value for message printing.

### Details

The function finds a suitable regularization parameter λ. For a sequence of lambdas, the objective function of SEP is computed for subsamples of the p-value vector `xin`. The final estimate is chosen based upon a Wilcoxon test comparison between objective function values of λ=0 and each λ>0. The penalized objective function should not differ a lot from the unpenalized one. Therefore, the highest lambda that leads to a non-significant difference in means is chosen.

### Value

Returns numerical value.

### Author(s)

Stefanie Scheid http://www.molgen.mpg.de/~scheid

### References

Scheid S and Spang R (2004): A stochastic downhill search algorithm for estimating the local false discovery rate, IEEE TCBB 1(3), 98–108.

Scheid S and Spang R (2005): twilight; a Bioconductor package for estimating the local false discovery rate, Bioinformatics 21(12), 2921–2922.

Scheid S and Spang R (2006): Permutation filtering: A novel concept for significance analysis of large-scale genomic data, in: Apostolico A, Guerra C, Istrail S, Pevzner P, and Waterman M (Eds.): Research in Computational Molecular Biology: 10th Annual International Conference, Proceedings of RECOMB 2006, Venice, Italy, April 2-5, 2006. Lecture Notes in Computer Science vol. 3909, Springer, Heidelberg, pp. 338-347.

### See Also

`twilight`

[Package twilight version 1.14.1 Index]